org.apache.ignite.cluster

## Enum ClusterState

- java.lang.Object
- - java.lang.Enum<ClusterState>
  - - org.apache.ignite.cluster.ClusterState

- All Implemented Interfaces:
    Serializable, Comparable<ClusterState>

      public enum ClusterState
      extends Enum<ClusterState>

  Cluster states.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` Cluster activated.
    `ACTIVE_READ_ONLY` Cluster activated.
    `INACTIVE` Cluster deactivated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `active()`
    `static @Nullable ClusterState` | `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
    `static ClusterState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClusterState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INACTIVE

          public static final ClusterState INACTIVE

      Cluster deactivated. Cache operations aren't allowed.

      NOTE: Deactivation clears in-memory caches (without persistence) including the system caches.

    - #### ACTIVE

          public static final ClusterState ACTIVE

      Cluster activated. All cache operations are allowed.

    - #### ACTIVE_READ_ONLY

          public static final ClusterState ACTIVE_READ_ONLY

      Cluster activated. Cache read operation allowed, Cache data change operation aren't allowed.

  - ### Method Detail

    - #### values

          public static ClusterState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClusterState c : ClusterState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClusterState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### active

          public boolean active()

      Returns:
        `True` if cluster activated in this state and `false` otherwise.

    - #### fromOrdinal

          @Nullable
          public static @Nullable ClusterState fromOrdinal(int ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023